extends Scene


func _on_island_garden_pond_interacted() -> void:
	$kq4_036_island_garden_pond.default_script(self)


func _on_island_beach_east_interacted() -> void:
	$kq4_040_island_beach_east.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You see a sparkling, sand beach of an exotic island. Before you, in the center of the island, a wonderful ivory palace rises. A lovely garden surrounds the palace.")
	).build(self, "_on_script_complete"))


func _on_beach_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("This is a beautiful sandy beach on an exotic island. The water sparkles in the sunlight.")
	).build(self, "_on_script_complete"))
